/* eslint-disable import/no-cycle */
import { Models } from "@rematch/core";

import { dataModel } from "./dataModel";

import {
  init,
  InitConfigRedux,
  RematchDispatch,
  RematchRootState,
} from "@rematch/core";
import selectPlugin from "@rematch/select";
import immerPlugin from "@rematch/immer";
import { enableMapSet } from "immer";

export interface RootModel extends Models<RootModel> {
  dataModel: typeof dataModel;
}

const models: RootModel = {
  dataModel,
};

enableMapSet();

const redux: InitConfigRedux = {
  middlewares: [],
  enhancers: [],
};

const store = init<RootModel>({
  models,
  plugins: [selectPlugin(), immerPlugin()],
  redux,
});

export default store;
export type Store = typeof store;
export type Dispatch = RematchDispatch<RootModel>;
export type RootState = RematchRootState<RootModel>;
